{% extends "base.html" %}
{% block content %}
    <head>
        <link href="{% static 'css/style.css' %}" rel="stylesheet" />
        <style>
            body {
                padding: 0;
                margin: 0;
                width: 100vw;
            }
            body .form {
                display: flex;
                flex-flow: row wrap;
                background-color: rgba(12,28,33,1);
            }
            body .form form {
                display: flex;
                flex-flow: column wrap;
                margin-top: 2rem;
                margin-left: 2.5rem;
                font-family: Roboto;
                font-weight: Regular;
                font-size: 1rem;
                color: rgba(242,242,242,1);
            }
            #h2 {
                font-family: Kanit;
                font-weight: Bold;
                font-size: 1.875rem;
                color: rgba(242,242,242,1);
            }
            body .form form input[type=text] {
                width: 15rem;
            }
            body .form form input[type=number] {
                width: 15rem;
            }
            input[type=submit] {
                color: rgba(242,242,242,1); 
                font-weight: bold; 
                padding-top: 0.75rem; 
                margin: 0; 
                letter-spacing: 0.0125rem;
                font-family: Roboto;
                font-weight: Regular;
                font-size: 1rem;
                text-decoration: none;  
                justify-content: center; 
                height: 3rem;
                background: rgba(255,128,0,1);
                border-radius: 0.1875rem;
                width: 10rem;
                height: 3.5rem;
                padding: 0;
                margin: 0;
                transition: 0.3s;
            }
            input[type=submit]:hover {
                background: rgb(204, 102, 0);
            }
            .list-matkul {
                display: flex;
                flex-flow: column wrap;
                margin-top: 2rem;
                margin-left: 2.5rem;
                font-family: Roboto;
                font-weight: Regular;
                font-size: 1rem;
                color: rgba(242,242,242,1);
            }
            #h2-orange {
                font-family: Kanit;
                font-weight: Bold;
                font-size: 1.875rem;
                color: rgba(255,128,0,1);
            }
        </style>
    </head>

    <body>
        {% include 'base.html' %}
        <div class="form">
            <form action="saveforms" method="POST">
                {% csrf_token %}
                <div id="h2-orange">Menambah Mata Kuliah</div>
                <label style="margin-top: 0.5rem;">Nama:</label>
                <input type="text" name="nama" maxlength="50" required>
                
                <label>Dosen:</label> 
                <input type="text" name="dosen" maxlength="50" required>

                <label>SKS:</label> 
                <input type="number" name="sks" required>

                <label>Deskripsi:</label> 
                <textarea name="deskripsi" cols="30" rows="5" required></textarea>

                <label>Semester tahun:</label> 
                <input type="text" name="semester_tahun" maxlength="50" required>

                <label>Ruang kelas:</label> 
                <input type="text" name="ruang_kelas" maxlength="50" required>

                <div style="margin-top: 1.5rem;"></div>
                <input type="submit" value="Submit">
            </form>

            <form action="deleteforms" method="POST">
                {% csrf_token %}
                <div id="h2-orange">Menghapus Mata Kuliah</div>
                <label style="margin-top: 0.5rem;">Nama:</label>
                <input type="text" name="nama" maxlength="50" required>

                <label>SKS:</label> 
                <input type="number" name="sks" required>

                <div style="margin-top: 1.5rem;"></div>
                <input type="submit" value="Submit">
            </form>

            <form action="detail_matkul" method="POST">
                {% csrf_token %}
                <div id="h2-orange">Detail Mata Kuliah</div>
                <label style="margin-top: 0.5rem;">Nama:</label>
                <input type="text" name="nama" maxlength="50" required>

                <label>SKS:</label>
                <input type="number" name="sks" required>

                <div style="margin-top: 1.5rem;"></div>
                <input type="submit" value="Submit">

                <div style="margin-top: 1.5rem;"></div>
                {% if matkul %}
                <div>Nama : {{matkul.nama}}</div>
                <div>Dosen : {{matkul.dosen}}</div>
                <div>SKS : {{matkul.sks}}</div>
                <div>Deskripsi : {{matkul.deskripsi}}</div>
                <div>Semester tahun : {{matkul.semester_tahun}}</div>
                <div>Ruang kelas : {{matkul.ruang_kelas}}</div>
                {% endif %}
            </form>

            <div class="list-matkul">
                    <div id="h2-orange" style="margin-bottom: 0.5rem;">List Mata Kuliah</div>
                    {% if list_matkul %}
                    {% for matkul in list_matkul %}
                        <div>- {{ matkul.nama }}</div>
                    {% endfor %}
                    {% endif %}
            </div>
        </div>    
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    </body>
</html>
{% endblock content %}